<!-- <div *ngIf="!showSpinner" class="eh-w-100p eh-h-100p eh-xy-center" style="min-width: 64px;">
  <button mat-flat-button [disabled]="disabled" [ngClass]="buttonCSS" (click)="onClick($event)">
    {{title}}
  </button>
</div>
<div *ngIf="showSpinner" class="eh-w-100p eh-h-100p eh-xy-center" style="min-width: 64px;">
  <div class="e-spinner e-spinner--2">
    <mat-spinner [diameter]="20" [strokeWidth]="2"></mat-spinner>
  </div>
</div> -->

<div class="eh-w-100p eh-h-100p eh-xy-center eh-minw-64">
  <button *ngIf="!showSpinner" mat-flat-button class="eh-w-100p eh-h-100p" [disabled]="disabled" [ngClass]="buttonCSS"
    (click)="onClick($event)">
    {{title}}
  </button>

  <div *ngIf="showSpinner" class="e-spinner e-spinner--3 e-spinner--center eh-h-100v eh-px-12 eh-py-6">
    <mat-spinner [diameter]="20" [strokeWidth]="2"></mat-spinner>
  </div>
</div>